<template>
  <div class="row">
    <div class="icon">
      <slot name="icon-cell" />
    </div>
    <div class="line">
      <div class="left">
        <slot name="left-cell" />
      </div>
      <div class="right">
        <slot name="right-cell" />
      </div>
    </div>
  </div>
</template>

<style lang="scss">
$dark: #212121;

.row {
  display: grid;
  grid-template-columns: 45px 195px 45px;
  grid-template-rows: 30px;
  grid-template-areas: 'icon line none';
  padding-top: 5px;
  margin: 5px auto;

  > .icon {
    grid-area: icon;
  }

  > .line {
    grid-area: line;
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: auto;
    grid-template-areas: 'left right';
    align-items: start;
    border-bottom: 3px solid $dark;

    .left {
      grid-area: left;
      text-align: start;

      input {
        text-align: start;
      }
    }

    .right {
      grid-area: right;
      text-align: end;

      input {
        text-align: end;
      }
    }
  }
}
</style>